cURL
curl --request PUT \
--url https://api.flare.io/firework/v2/organizations/{organization_id}/members/{user_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 123,
"name": "<string>",
"surname": "<string>",
"email": "<string>",
"organization_member_permissions": {
"*": {}
},
"is_disabled": true,
"registered_at": "2023-11-07T05:31:56Z",
"urn": "<string>"
}
'import requests
url = "https://api.flare.io/firework/v2/organizations/{organization_id}/members/{user_id}"
payload = {
"id": 123,
"name": "<string>",
"surname": "<string>",
"email": "<string>",
"organization_member_permissions": { "*": {} },
"is_disabled": True,
"registered_at": "2023-11-07T05:31:56Z",
"urn": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 123,
name: '<string>',
surname: '<string>',
email: '<string>',
organization_member_permissions: {'*': {}},
is_disabled: true,
registered_at: '2023-11-07T05:31:56Z',
urn: '<string>'
})
};
fetch('https://api.flare.io/firework/v2/organizations/{organization_id}/members/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"member": {
"user": {
"id": 123,
"name": "<string>",
"surname": "<string>",
"email": "<string>",
"organization_member_permissions": {
"*": {}
},
"is_disabled": true,
"registered_at": "2023-11-07T05:31:56Z",
"urn": "<string>"
},
"tenant_count": 123
}
}Organization Members
Update Organization Member
PUT
/
firework
/
v2
/
organizations
/
{organization_id}
/
members
/
{user_id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
Success
Show child attributes
Show child attributes
Was this page helpful?
⌘I